var builder = DistributedApplication.CreateBuilder(args);

var cache = builder.AddRedis("cache");

var apiService = builder.AddProject<Projects.HackathonPreparing_ApiService>("apiservice");

builder.AddProject<Projects.HackathonPreparing_Web>("webfrontend")
    .WithExternalHttpEndpoints()
    .WithReference(cache)
    .WithReference(apiService);

builder.AddPostgres("database").WithPgAdmin();

builder.Build().Run();